package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 入账状态 WAIT 待入账 FROZEN 冻结入账 RECORDED 已入账 CANCEL 退费
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum PostStatusEnum implements BaseEnum<String, PostStatusEnum> {

    WAIT("待入账"),
    FROZEN("冻结入账"),
    RECORDED("已入账"),
    CANCEL("退费");

    @EnumValue
    private String code;
    private String msg;

    PostStatusEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
